[arch-commits] CVS update of unstable/modules/rt2x00-cvs (PKGBUILD config)

Thomas Baechler thomas at archlinux.org
Sun Aug 26 06:33:36 EDT 2007


    Date: Sunday, August 26, 2007 @ 06:33:36
  Author: thomas
    Path: /home/cvs-unstable/unstable/modules/rt2x00-cvs

Modified: PKGBUILD (1.12 -> 1.13) config (1.2 -> 1.3)

upgpkg: rt2x00-cvs 20070826-1


----------+
 PKGBUILD |   51 ++++++++++++++++++++++++++++++++-------------------
 config   |   20 --------------------
 2 files changed, 32 insertions(+), 39 deletions(-)


Index: unstable/modules/rt2x00-cvs/PKGBUILD
diff -u unstable/modules/rt2x00-cvs/PKGBUILD:1.12 unstable/modules/rt2x00-cvs/PKGBUILD:1.13
--- unstable/modules/rt2x00-cvs/PKGBUILD:1.12	Mon Aug 20 22:43:44 2007
+++ unstable/modules/rt2x00-cvs/PKGBUILD	Sun Aug 26 06:33:36 2007
@@ -1,27 +1,40 @@
-# $Id: PKGBUILD,v 1.12 2007/08/21 02:43:44 travis Exp $
+# $Id: PKGBUILD,v 1.13 2007/08/26 10:33:36 thomas Exp $
 # Maintainer : James Rayner <iphitus at gmail.com>
-
 pkgname=rt2x00-cvs
-pkgver=20070818
+_kernver=2.6.22-ARCH
+pkgver=20070826
 pkgrel=1
-pkgdesc="Drivers for Ralink wireless chipsets - daily devel tarball. For kernel26"
-arch=('i686')
+pkgdesc="Open Source modules for Ralink wireless chipsets"
+arch=('i686' 'x86_64')
 url="http://rt2x00.serialmonkey.com"
-license=('GPL')
+install="rt2x00.install"
 depends=('kernel26')
-install=rt2x00.install
-source=(http://rt2x00.serialmonkey.com/rt2x00-cvs-daily.tar.gz config)
-# tarball is updated hourly, so no checksums
+source=()
+replaces=("rt2x00")
+conflicts=("rt2x00")
+provides=("rt2x00")
+source=(config rt2x00-mac80211.patch)
+md5sums=('ca9a8c77659e05b69d31603cbae8bb17'
+         'd1eccb251bb24da65ef1cb1677b3cc6e')
 
-_kernver=2.6.22-ARCH
+_cvsroot=":pserver:anonymous:@rt2400.cvs.sourceforge.net:/cvsroot/rt2400"
+_cvsmod="source/rt2x00"
 
-build() {
-  cd $startdir/src/rt2x00-cvs-${pkgver}*
-  cp ../config .
-  make KERNEL_SOURCES=/lib/modules/${_kernver}/build || return 1
-  mkdir -p $startdir/pkg/lib/modules/$_kernver/kernel/drivers/{misc,net/wireless}
-  install -m644 eeprom_93cx6.ko $startdir/pkg/lib/modules/$_kernver/kernel/drivers/misc
-  install -m644 rt*.ko $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless
-  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/rt2x00.install
-}
+build()
+{
+  cd $startdir/src
+  msg "Connecting to $_cvsmod.sourceforge.net CVS server...."
+  cvs -z3 -d $_cvsroot co -D $pkgver -f $_cvsmod
+  cd $_cvsmod
 
+  patch -Np1 -i $startdir/src/rt2x00-mac80211.patch
+
+  cp $startdir/src/config .
+  make KERNDIR=/lib/modules/${_kernver}/build || return 1
+
+  mkdir -p $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/rt2x00
+  install -m644 $startdir/src/$_cvsmod/*ko \
+        $startdir/pkg/lib/modules/$_kernver/kernel/drivers/net/wireless/rt2x00
+  
+  sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install
+}
Index: unstable/modules/rt2x00-cvs/config
diff -u unstable/modules/rt2x00-cvs/config:1.2 unstable/modules/rt2x00-cvs/config:1.3
--- unstable/modules/rt2x00-cvs/config:1.2	Sat Aug 18 19:18:12 2007
+++ unstable/modules/rt2x00-cvs/config	Sun Aug 26 06:33:36 2007
@@ -41,17 +41,6 @@
 CONFIG_RT73USB=y
 
 #
-# Dscape ieee80211 stack
-#
-
-# Build dscape ieee80211 stack support
-CONFIG_D80211=y
-# Enable dscape ieee80211 debug output
-CONFIG_D80211_DEBUG=y
-# Enable dscape ieee80211 asm file creation
-CONFIG_D80211_ASM=n
-
-#
 # CRC-ITU-T support
 #
 
@@ -68,12 +57,3 @@
 CONFIG_EEPROM_93CX6=y
 # Enable eeprom asm file creation
 CONFIG_EEPROM_93CX6_ASM=n
-
-#
-# RFkill support
-#
-
-# Enable rfkill support
-CONFIG_RFKILL=y
-# Enable rfkill asm file creation
-CONFIG_RFKILL_ASM=n




More information about the arch-commits mailing list